#!/usr/bin/perl

use utf8;
use strict;
use Test::More tests => 4;

# 1
BEGIN { use_ok('FDN::TeX::TeX'); }
BEGIN { $FDN::Common::Config::CONFIG_ROOT = './t/'; }

my $tmp;

$tmp = tex_encode('Accentué');
is ( $tmp, 'Accentué', 'tex_encode' );
$tmp = tex_encode('Toi & moi');
is ( $tmp, 'Toi \\& moi', 'tex_encode' );
$tmp = tex_encode('Des {accolades} et un # sur 20% ici_aussi C:\\ pour 1$');
is ( $tmp, 'Des \\{accolades\\} et un \\# sur 20\\% ici\\_aussi C:/ pour 1\\$');

